org.red5.io.amf3

## Interface IExternalizable

All Known Implementing Classes:
  AcknowledgeMessageExt, ArrayCollection, AsyncMessageExt, CommandMessageExt, ObjectProxy

    public interface IExternalizable

Interface that needs to be implemented by classes that serialize / deserialize themselves.

See Also:
  Adobe Livedocs (external)

### Method Summary

Methods
`void` `readExternal(IDataInput input)` Load custom object from stream.
`void` `writeExternal(IDataOutput output)` Store custom object to stream.

### Method Detail

#### readExternal

    void readExternal(IDataInput input)

Load custom object from stream.

Parameters:
  `input` - object to be used for data loading

#### writeExternal

    void writeExternal(IDataOutput output)

Store custom object to stream.

Parameters:
  `output` - object to be used for data storing